# Edit

To edit an existing webhook you need to execute a **PATCH** request against the **/webhooks/:id** endpoint.

The **id** uniquely identifies the webhook and you can find it in the [create webhook](https://docs.digitalsamba.com/reference/rest-api/create#response-200-ok) response.

#### Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl --request PATCH \
  --header "Content-Type: application/json" \
  --url https://api.digitalsamba.com/api/v1/webhooks/7adb1f07-db15-4cdc-8bf0-2be746fcec2a \
  --user YOUR_TEAM_ID:YOUR_DEVELOPER_KEY \
  --data '{"name": "Testing webhooks 1"}'
```

{% endtab %}

{% tab title="Java" %}

```java
import com.fasterxml.jackson.databind.ObjectMapper;

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.util.Base64;
import java.util.Map;

String TEAM_ID = "YOUR_TEAM_ID";
String DEVELOPER_KEY = "YOUR_DEVELOPER_KEY";
String authorizationHeader = "Bearer " + Base64.getEncoder().encodeToString((TEAM_ID + ":" + DEVELOPER_KEY).getBytes());
//Put your webhook id here - this value is just an example
String webhookId = "7adb1f07-db15-4cdc-8bf0-2be746fcec2a";

Map<String, Object> data = Map.of("name", "Testing webhooks 1");
String jsonData = new ObjectMapper().writeValueAsString(data);

HttpRequest request = HttpRequest.newBuilder()
  .method("PATCH", HttpRequest.BodyPublishers.ofString(jsonData))
  .uri(new URI("https://api.digitalsamba.com/api/v1/webhooks/" + webhookId))
  .header("Authorization", authorizationHeader)
  .header("Content-Type", "application/json")
  .build();

HttpClient client = HttpClient.newHttpClient();
HttpResponse<String> response = client.send(request, BodyHandlers.ofString());

System.out.println("Status code: " + response.statusCode());
System.out.println("Body: " + response.body());
```

{% endtab %}
{% endtabs %}

**Response (200 OK)**

```json
{
    "id": "7adb1f07-db15-4cdc-8bf0-2be746fcec2a",
    "endpoint": "https://webhook.site/6edb900e-acd7-4877-b8cf-825a0862003b",
    "authorization_header": "Asf#k$%lfCaPe93$a",
    "name": "Testing webhooks 1",
    "events": [
        "participant_joined",
        "participant_left"
    ],
    "created_at": "2023-02-06T09:43:48Z",
    "updated_at": "2023-02-07T12:16:24Z"
}
```
